## org.apache.tools.ant.taskdefs.optional
Class NetRexxC.TraceAttr

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.NetRexxC.TraceAttr

Enclosing class:
  NetRexxC

    public static class NetRexxC.TraceAttr

extends EnumeratedAttribute

Enumerated class corresponding to the trace attribute.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`NetRexxC.TraceAttr()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement..

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetRexxC.TraceAttr

    public NetRexxC.TraceAttr()

Method Detail

### getValues

    public java.lang.String[] getValues()

  This is the only method a subclass needs to implement..

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.